# NOTE: for openjpeg 2.x see openjpeg2.spec
Summary:	An open-source JPEG 2000 codec
Summary(pl.UTF-8):	Biblioteka kodująca i dekodująca format JPEG 2000
Name:		openjpeg
Version:	1.5.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/uclouvain/openjpeg/releases/
Source0:	https://github.com/uclouvain/openjpeg/archive/version.%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	545f98923430369a6b046ef3632ef95c
Patch0:		%{name}-opt.patch
URL:		http://www.openjpeg.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%description -l pl.UTF-8
OpenJPEG to mająca otwarte źródła biblioteka kodująca i dekodująca
format JPEG 2000, napisana w języku C. Powstała w celu promowania
użycia formatu JPEG 2000 - nowego standardu obrazów nieruchomych
stworzonego przez grupę JPEG (Joint Photographic Experts Group).

%package devel
Summary:	Header file for OpenJPEG library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki OpenJPEG
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header file needed for developing programs
using the OpenJPEG library.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy potrzebny do tworzenia programów
wykorzystujących bibliotekę OpenJPEG.

%package static
Summary:	Static OpenJPEG library
Summary(pl.UTF-8):	Statyczna biblioteka OpenJPEG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenJPEG library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenJPEG.

%package progs
Summary:	OpenJPEG codec programs
Summary(pl.UTF-8):	Programy kodujące/dekodujące dla biblioteki OpenJPEG
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenJPEG codec programs.

%description progs -l pl.UTF-8
Programy kodujące/dekodujące dla biblioteki OpenJPEG.

%prep
%setup -q -n %{name}-version.%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-jpwl \
	--enable-mj2
# no --enable-jpip here (see openjpip.spec for it)

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenjpeg*.la
# packaged as doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/openjpeg-1.5

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE NEWS README THANKS
%attr(755,root,root) %{_libdir}/libopenjpeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenjpeg.so.1
%attr(755,root,root) %{_libdir}/libopenjpeg_JPWL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenjpeg_JPWL.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenjpeg.so
%attr(755,root,root) %{_libdir}/libopenjpeg_JPWL.so
%{_includedir}/openjpeg-1.5
%{_pkgconfigdir}/libopenjpeg1.pc
%{_pkgconfigdir}/libopenjpeg.pc
%{_pkgconfigdir}/libopenjpeg-jpwl.pc
%{_mandir}/man3/jpwl_libopenjpeg.3*
%{_mandir}/man3/libopenjpeg.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenjpeg.a
%{_libdir}/libopenjpeg_JPWL.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/JPWL_image_to_j2k
%attr(755,root,root) %{_bindir}/JPWL_j2k_to_image
%attr(755,root,root) %{_bindir}/extract_j2k_from_mj2
%attr(755,root,root) %{_bindir}/frames_to_mj2
%attr(755,root,root) %{_bindir}/image_to_j2k
%attr(755,root,root) %{_bindir}/j2k_dump
%attr(755,root,root) %{_bindir}/j2k_to_image
%attr(755,root,root) %{_bindir}/mj2_to_frames
%attr(755,root,root) %{_bindir}/wrap_j2k_in_mj2
%{_mandir}/man1/jpwl_image_to_j2k.1*
%{_mandir}/man1/jpwl_j2k_to_image.1*
%{_mandir}/man1/image_to_j2k.1*
%{_mandir}/man1/j2k_dump.1*
%{_mandir}/man1/j2k_to_image.1*
%changelog
* Thu Feb 25 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openjpeg.git;a=log;h=master

* Thu Feb 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 19d7dea
- updated to 1.5.2 (fixes CVE-2013-1447 CVE-2013-4289 CVE-2013-4290 CVE-2013-6045 CVE-2013-6052 CVE-2013-6053 CVE-2013-6054 CVE-2013-6887)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 002d50c
- x32 rebuild
- release 4 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> f79e134
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c254883
- release 2 (by relup.sh)

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 5d61601
- added openjpeg2 note
- adjusted -progs description (format name is JPEG2000, OpenJPEG is library)

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> eb94e5f
- updated to 1.5.1 (fixes CVE-2012-3358 CVE-2012-3535)

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 586095f
- updated to 1.5.0
- updated opt patch
- removed obsolete libpng,destdir,link patches

* Sat Jan 21 2012 Jakub Bogusz <qboosh@pld-linux.org> f25953e
- g++ nor sed 4 not needed
- completed previous changelog entry (soname changes, openjpeg_JPWL)

* Sat Jan 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a454e1
- updated to 1.4 [note: soname changed]
- package openjpeg_JPWL library too
- removed outdated install patch (autotools and cmake support introduced upstream, both messy)
- added libpng patch to fix build with libpng 1.5.x
- added destdir,opt,link patch to partially fix ac/am usage ugliness

* Sat Oct 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 4e6e3ab
- pl
- separated -static

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 1cd486b
- release 3

* Thu Mar 04 2010 Paweł Sikora <pluto@pld-linux.org> 2fff9e5
- typo.

* Thu Mar 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f4d027
- rel 2; link with math lib

* Fri Feb 05 2010 duddits <duddits@pld-linux.org> 255b5c1
- rel. 1

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 3eabfef
- pass %{__cc}
- don't link with -lstdc++, not needed

* Mon Oct 12 2009 sparky <sparky@pld-linux.org> 51bd02b
- use rpmcflags and rpmldflags when linking
- fixed install

* Mon Oct 12 2009 Krzysztof Krakowiak <evil@pld-linux.org> 0262a74
- initial release

